aboutsummaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
authorFrederik Gladhorn <frederik.gladhorn@theqtcompany.com>2016-04-28 12:23:33 +0200
committerFrederik Gladhorn <frederik.gladhorn@theqtcompany.com>2016-04-28 12:25:11 +0200
commit3afd172a2582017468fbe2003d6937189c566c73 (patch)
treed1a65bbc0c8708d0abde82cee1316fa8fce01edb /coin
parentb7c2e9a846e85a951eb5b4b645e886770ce9c8c2 (diff)
parent3963056f63ecf76bf25e210dc170cdbe0dbc664c (diff)
Merge remote-tracking branch 'origin/5.6' into 5.7
Diffstat (limited to 'coin')
-rw-r--r--coin/README9
-rw-r--r--coin/provisioning/common/helpers.ps131
-rw-r--r--coin/provisioning/common/jom.ps17
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/install_icu.sh70
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/odbc.sh4
-rw-r--r--coin/provisioning/qtci-windows-10-x86/jom.ps16
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/jom.ps16
-rw-r--r--coin/provisioning/qtci-windows-7-x86/jom.ps16
-rw-r--r--coin/provisioning/qtci-windows-8-x86/jom.ps16
-rw-r--r--coin/provisioning/qtci-windows-8-x86_64/jom.ps16
10 files changed, 151 insertions, 0 deletions
diff --git a/coin/README b/coin/README
new file mode 100644
index 00000000..891d7202
--- /dev/null
+++ b/coin/README
@@ -0,0 +1,9 @@
+Continuous Integration
+======================
+
+This directory contains files used by Qt's Continuous Integration system (Coin).
+
+provisioning
+------------
+Contains scripts that apply to different test machines in order to run automatic tests on them.
+
diff --git a/coin/provisioning/common/helpers.ps1 b/coin/provisioning/common/helpers.ps1
new file mode 100644
index 00000000..f517e94d
--- /dev/null
+++ b/coin/provisioning/common/helpers.ps1
@@ -0,0 +1,31 @@
+function Verify-Checksum
+{
+ Param (
+ [string]$File=$(throw("You must specify a filename to get the checksum of.")),
+ [string]$Expected=$(throw("Checksum required")),
+ [ValidateSet("sha1","md5")][string]$Algorithm="sha1"
+ )
+ $fs = new-object System.IO.FileStream $File, "Open"
+ $algo = [type]"System.Security.Cryptography.$Algorithm"
+ $crypto = $algo::Create()
+ $hash = [BitConverter]::ToString($crypto.ComputeHash($fs)).Replace("-", "")
+ $fs.Close()
+ if ($hash -ne $Expected) {
+ Write-Error "Checksum verification failed, got: '$hash' expected: '$Expected'"
+ }
+}
+
+function Extract-Zip
+{
+ Param (
+ [string]$Source,
+ [string]$Destination
+ )
+ echo "Extracting '$Source' to '$Destination'..."
+
+ New-Item -ItemType Directory -Force -Path $Destination
+ $shell = new-object -com shell.application
+ $zipfile = $shell.Namespace($Source)
+ $destinationFolder = $shell.Namespace($Destination)
+ $destinationFolder.CopyHere($zipfile.Items())
+}
diff --git a/coin/provisioning/common/jom.ps1 b/coin/provisioning/common/jom.ps1
new file mode 100644
index 00000000..c233ee6e
--- /dev/null
+++ b/coin/provisioning/common/jom.ps1
@@ -0,0 +1,7 @@
+. "$PSScriptRoot\helpers.ps1"
+
+$zip = "c:\users\qt\downloads\jom_1_1_0.zip"
+
+Invoke-WebRequest -UseBasicParsing http://download.qt.io/official_releases/jom/jom_1_1_0.zip -OutFile $zip
+Verify-Checksum $zip "C4149FE706B25738B4C4E54C73E180B9CAB55832"
+Extract-Zip $zip C:\Utils\Jom
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/install_icu.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/install_icu.sh
new file mode 100644
index 00000000..02ddda3f
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/install_icu.sh
@@ -0,0 +1,70 @@
+#!/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs the right ICU version
+
+set -e
+icuVersion="56.1"
+icuLocation="/usr/lib64"
+sha1="f2eab775c04ce5f3bdae6c47d06b62158b5d6753"
+
+function Install7ZPackageFromURL {
+ url=$1
+ expectedSha1=$2
+ targetDirectory=$3
+
+ targetFile=`mktemp` || echo "Failed to create temporary file"
+ wget --tries=5 --waitretry=5 --output-document=$targetFile $url || echo "Failed to download '$url' multiple times"
+ echo "$expectedSha1 $targetFile" | sha1sum --check || echo "Failed to check sha1sum"
+ sudo /usr/local/bin/7z x -yo$targetDirectory $targetFile || echo "Failed to unzip $url archive"
+ rm $targetFile
+}
+
+echo "Installing custom ICU $icuVersion $sha1 packages on RHEL to $icuLocation"
+
+baseBinaryPackageURL="http://master.qt.io/development_releases/prebuilt/icu/prebuilt/$icuVersion/icu-linux-g++-Rhel6.6-x64.7z"
+Install7ZPackageFromURL $baseBinaryPackageURL $sha1 "/usr/lib64"
+
+echo "Installing custom ICU devel packages on RHEL"
+
+sha1Dev="82f8b216371b848b8d36ecec7fe7b6e9b0dba0df"
+develPackageURL="http://master.qt.io/development_releases/prebuilt/icu/prebuilt/$icuVersion/icu-linux-g++-Rhel6.6-x64-devel.7z"
+tempDir=`mktemp -d` || echo "Failed to create temporary directory"
+trap "sudo rm -fr $tempDir" EXIT
+Install7ZPackageFromURL $develPackageURL $sha1Dev $tempDir
+sudo cp -a $tempDir/lib/* /usr/lib64
+sudo cp -a $tempDir/* /usr/
+
+sudo /sbin/ldconfig
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/odbc.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/odbc.sh
new file mode 100644
index 00000000..f6c90a75
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/odbc.sh
@@ -0,0 +1,4 @@
+# provides: odbc devel packages on RHEL
+# version: provided by default Linux distribution repository
+# needed for configure -plugin-sql-odbc in qtbase
+sudo yum install -y unixODBC-devel
diff --git a/coin/provisioning/qtci-windows-10-x86/jom.ps1 b/coin/provisioning/qtci-windows-10-x86/jom.ps1
new file mode 100644
index 00000000..360fad95
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86/jom.ps1
@@ -0,0 +1,6 @@
+Set-ExecutionPolicy RemoteSigned -Force
+
+# install jom
+. "$PSScriptRoot\..\common\jom.ps1"
+
+Set-ExecutionPolicy Restricted -Force
diff --git a/coin/provisioning/qtci-windows-10-x86_64/jom.ps1 b/coin/provisioning/qtci-windows-10-x86_64/jom.ps1
new file mode 100644
index 00000000..360fad95
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/jom.ps1
@@ -0,0 +1,6 @@
+Set-ExecutionPolicy RemoteSigned -Force
+
+# install jom
+. "$PSScriptRoot\..\common\jom.ps1"
+
+Set-ExecutionPolicy Restricted -Force
diff --git a/coin/provisioning/qtci-windows-7-x86/jom.ps1 b/coin/provisioning/qtci-windows-7-x86/jom.ps1
new file mode 100644
index 00000000..360fad95
--- /dev/null
+++ b/coin/provisioning/qtci-windows-7-x86/jom.ps1
@@ -0,0 +1,6 @@
+Set-ExecutionPolicy RemoteSigned -Force
+
+# install jom
+. "$PSScriptRoot\..\common\jom.ps1"
+
+Set-ExecutionPolicy Restricted -Force
diff --git a/coin/provisioning/qtci-windows-8-x86/jom.ps1 b/coin/provisioning/qtci-windows-8-x86/jom.ps1
new file mode 100644
index 00000000..360fad95
--- /dev/null
+++ b/coin/provisioning/qtci-windows-8-x86/jom.ps1
@@ -0,0 +1,6 @@
+Set-ExecutionPolicy RemoteSigned -Force
+
+# install jom
+. "$PSScriptRoot\..\common\jom.ps1"
+
+Set-ExecutionPolicy Restricted -Force
diff --git a/coin/provisioning/qtci-windows-8-x86_64/jom.ps1 b/coin/provisioning/qtci-windows-8-x86_64/jom.ps1
new file mode 100644
index 00000000..360fad95
--- /dev/null
+++ b/coin/provisioning/qtci-windows-8-x86_64/jom.ps1
@@ -0,0 +1,6 @@
+Set-ExecutionPolicy RemoteSigned -Force
+
+# install jom
+. "$PSScriptRoot\..\common\jom.ps1"
+
+Set-ExecutionPolicy Restricted -Force